import { createRouter, createWebHashHistory } from 'vue-router'
const routes = [
    {
        path: '/login',
        name: 'LoginPage',
        meta: {
            title: '登录页',
        },
        component: () =>
            import(
                '../views/Login.vue'
            ),
    },
    {
        path: '/',
        name: 'homePage',
        meta: {
            title: '首页',
        },
        component: () =>
            import(
                '../views/homePage.vue'
            ),
        children: [
            {
                path: '/home',
                name: 'homePage',
                meta: {
                    title: '首页',
                },
                component: () =>
                    import(
                        // '../components/gatewayPage.vue'
                        '../components/gatewaynNewPage.vue'
                    ),
            },
            {
                path: '/taskCenter',
                name: 'taskCenter',
                meta: {
                    title: '任务中心',
                },
                component: () =>
                    import(
                        '../components/taskCenter/taskCenterPage.vue'
                    ),
            },
            {
                path: '/notification',
                name: 'notification',
                meta: {
                    title: '通告管理',
                },
                component: () =>
                    import(
                        '../components/notification/notificationMangePage.vue'
                    ),
            },
            {
                path: '/assessment',
                name: 'assessment',
                meta: {
                    title: '考评业务',
                },
                children: [
                    {
                        path: '/assessment/evaluationStart',
                        name: 'evaluationStart',
                        meta: {
                            title: '单位考评目标启动',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationStartPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationAmendment',
                        name: 'evaluationAmendment',
                        meta: {
                            title: '单位考评目标修订',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationAmendmentPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationDeptStart',
                        name: 'evaluationDeptStart',
                        meta: {
                            title: '部门考评目标启动',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationDeptStartPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationMonth',
                        name: 'evaluationMonth',
                        meta: {
                            title: '月度单位考评',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationMonthPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationQuarter',
                        name: 'evaluationQuarter',
                        meta: {
                            title: '季度单位考评',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationQuarterPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationYear',
                        name: 'evaluationYear',
                        meta: {
                            title: '年度目标考评',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationYearPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationDeptBusiness',
                        name: 'evaluationDeptBusiness',
                        meta: {
                            title: '部门经营业绩考评',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationDeptBusinessPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationDeptRating',
                        name: 'evaluationDeptRating',
                        meta: {
                            title: '部门绩效考核评级',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationDeptRatingPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/assessmentApplication',
                        name: 'assessmentApplication',
                        meta: {
                            title: '绩效结果考核申报',
                        },
                        component: () =>
                            import(
                                '../components/assessment/assessmentApplicationPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationBenchmarkingIndic',
                        name: 'evaluationBenchmarkingIndic',
                        meta: {
                            title: '考评指标对标',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationBenchmarkingIndicPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationWarning',
                        name: 'evaluationWarning',
                        meta: {
                            title: '考评预警',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationWarningPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationUnitRating',
                        name: 'evaluationUnitRating',
                        meta: {
                            title: '单位考评评级',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationUnitRatingPage.vue'
                            ),
                    },
                    {
                        path: '/assessment/evaluationReport',
                        name: 'evaluationReport',
                        meta: {
                            title: '考评报告',
                        },
                        component: () =>
                            import(
                                '../components/assessment/evaluationReportPage.vue'
                            ),
                    },
                ]
            },
            {
                path: '/evaluationSystem',
                name: 'benchmark',
                meta: {
                    title: '考评体系配置',
                },
                children: [
                    {
                        path: '/evaluationSystem/evaluationIndex',
                        name: 'evaluationIndex',
                        meta: {
                            title: '考评指标管理',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/evaluationIndexPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationSystem/evaluationRules',
                        name: 'evaluationRules',
                        meta: {
                            title: '考评规则配置',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/evaluationRulesPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationSystem/company',
                        name: 'company',
                        meta: {
                            title: '考评单位配置',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/evaluationCompanyPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationSystem/department',
                        name: 'department',
                        meta: {
                            title: '考评部门配置',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/evaluationDepartmentPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationSystem/personnel',
                        name: 'personnel',
                        meta: {
                            title: '考评人员配置',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/evaluationPersonnelPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationSystem/achievementK',
                        name: 'achievementK',
                        meta: {
                            title: '业绩考核系数配置',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/achievementKPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationSystem/partyBuildingK',
                        name: 'partyBuildingK',
                        meta: {
                            title: '党建考核系数配置',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/partyBuildingKPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationSystem/multiSequence',
                        name: 'multiSequence',
                        meta: {
                            title: '多序列计算指标',
                        },
                        component: () =>
                            import(
                                '../components/evaluationSystem/evaluationMultiSequencePage.vue'
                            ),
                    }
                ]
            },
            {
                path: '/baseInfomation',
                name: 'baseInfomation',
                meta: {
                    title: '基础信息配置',
                },
                children: [
                    {
                        path: '/baseInfomation/moreBrand',
                        name: 'moreBrand',
                        meta: {
                            title: '单位营业收入',
                        },
                        component: () =>
                            import(
                                '../components/baseInfomation/moreBrandPage.vue'
                            ),
                    },
                    {
                        path: '/baseInfomation/baseDataDictionary',
                        name: 'baseDataDictionary',
                        meta: {
                            title: '数据字典配置',
                        },
                        component: () =>
                            import(
                                '../components/baseInfomation/baseDataDictionaryPage.vue'
                            ),
                    },
                    {
                        path: '/baseInfomation/baseBinSection',
                        name: 'baseBinSection',
                        meta: {
                            title: '业务属性配置',
                        },
                        component: () =>
                            import(
                                '../components/baseInfomation/baseBinSectionPage.vue'
                            ),
                    },
                    {
                        path: '/baseInfomation/baseBinStage',
                        name: 'baseBinStage',
                        meta: {
                            title: '业务阶段配置',
                        },
                        component: () =>
                            import(
                                '../components/baseInfomation/baseBinStagePage.vue'
                            ),
                    },
                    {
                        path: '/baseInfomation/baseIndicatorType',
                        name: 'baseIndicatorType',
                        meta: {
                            title: '指标分类配置',
                        },
                        component: () =>
                            import(
                                '../components/baseInfomation/baseIndicatorTypePage.vue'
                            ),
                    }
                ]
            },
            {
                path: '/evaluationknowledge',
                name: 'evaluationknowledge',
                meta: {
                    title: '对标考评规则',
                },
                children: [
                    {
                        path: '/evaluationknowledge/scoringRules',
                        name: 'scoringRules',
                        meta: {
                            title: '考评得分规则',
                        },
                        component: () =>
                            import(
                                '../components/evaluationknowledgePage/scoringRulesNewPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationknowledge/evalRatingRules',
                        name: 'evalRatingRules',
                        meta: {
                            title: '考评评级规则',
                        },
                        component: () =>
                            import(
                                '../components/evaluationknowledgePage/evalRatingRulesPage.vue'
                            ),
                    },
                    {
                        path: '/evaluationknowledge/earlyWarningRule',
                        name: 'earlyWarningRule',
                        meta: {
                            title: '考评预警规则',
                        },
                        component: () =>
                            import(
                                '../components/evaluationknowledgePage/earlyWarningRulePage.vue'
                            ),
                    }
                ]
            },
        ]
    },
    //移动端页面
    {
        path: '/mobeil',
        name: 'homeMobeilPage',
        meta: {
            title: '年度单位评级',
        },
        component: () =>
            import(
                '../mobeilComponent/homeMobeilPage.vue'
            ),
    },
    {
        path: '/menu',
        name: 'menuMobeilPage',
        meta: {
            title: '导航页',
        },
        component: () =>
            import(
                '../mobeilComponent/menuMobeilPage.vue'
            ),
    },
    {
        path: '/yearConpanyDetail',
        name: 'yearConpanyPage',
        meta: {
            title: '年度单位评级详情',
        },
        component: () =>
            import(
                '../mobeilComponent/yearConpanyPage.vue'
            ),
    },
    {
        path: '/quarterConpany',
        name: 'quarterConpany',
        meta: {
            title: '季度单位评级',
        },
        component: () =>
            import(
                '../mobeilComponent/seasonConpanyPage.vue'
            ),
    },
    {
        path: '/report',
        name: 'reportConpany',
        meta: {
            title: '单位考评报告',
        },
        component: () =>
            import(
                '../mobeilComponent/reportConpanyPage.vue'
            ),
    },
    {
        path: '/reportDetail',
        name: 'reportConpanyDetail',
        meta: {
            title: '单位考评报告详情',
        },
        component: () =>
            import(
                '../mobeilComponent/reportConpanyDetail.vue'
            ),
    },
    {
        path: '/earlyWarning',
        name: 'earlyWarning',
        meta: {
            title: '单位考评预警',
        },
        component: () =>
            import(
                '../mobeilComponent/earlyWarningPage.vue'
            ),
    },
    {
        path: '/notificationMobeil',
        name: 'notificationMobeil',
        meta: {
            title: '对标考评公告',
        },
        component: () =>
            import(
                '../mobeilComponent/notificationPage.vue'
            ),
    },
    {
        path: '/notificationDetail',
        name: 'notificationDetail',
        meta: {
            title: '对标考评公告详情',
        },
        component: () =>
            import(
                '../mobeilComponent/notificationPageDetail.vue'
            ),
    }
]

const router = createRouter({
    history: createWebHashHistory(''),
    // history: '',
    routes,
})

export default router